# PulpcoreClient::FilesystemExporterResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**name** | **String** | Unique name of the file system exporter. | 
**path** | **String** | File system location to export to. | 
**method** | [**MethodEnum**](MethodEnum.md) | Method of exporting  * &#x60;write&#x60; - Export by writing * &#x60;hardlink&#x60; - Export by hardlinking * &#x60;symlink&#x60; - Export by symlinking | [optional] 

## Code Sample

```ruby
require 'PulpcoreClient'

instance = PulpcoreClient::FilesystemExporterResponse.new(pulp_href: null,
                                 pulp_created: null,
                                 name: null,
                                 path: null,
                                 method: null)
```


