# PulpcoreClient::HeaderContentGuardResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**name** | **String** | The unique name. | 
**description** | **String** | An optional description. | [optional] 
**header_name** | **String** | The header name the guard will check on. | 
**header_value** | **String** | The value that will authorize the request. | 
**jq_filter** | **String** | A JQ syntax compatible filter. If jq_filter is not set, then the value willonly be Base64 decoded and checked as an explicit string match. | [optional] 

## Code Sample

```ruby
require 'PulpcoreClient'

instance = PulpcoreClient::HeaderContentGuardResponse.new(pulp_href: null,
                                 pulp_created: null,
                                 name: null,
                                 description: null,
                                 header_name: null,
                                 header_value: null,
                                 jq_filter: null)
```


