# PulpcoreClient::UserRoleResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**role** | **String** |  | 
**content_object** | **String** | pulp_href of the object for which role permissions should be asserted. If set to &#39;null&#39;, permissions will act on either domain or model-level. | 
**description** | **String** |  | [optional] [readonly] 
**permissions** | **Array&lt;String&gt;** |  | [optional] [readonly] 
**domain** | **String** | Domain this role should be applied on, mutually exclusive with content_object. | [optional] 

## Code Sample

```ruby
require 'PulpcoreClient'

instance = PulpcoreClient::UserRoleResponse.new(pulp_href: null,
                                 pulp_created: null,
                                 role: null,
                                 content_object: null,
                                 description: null,
                                 permissions: null,
                                 domain: null)
```


