# PulpcoreClient::ApiAppStatusResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**name** | **String** | The name of the worker. | [optional] [readonly] 
**last_heartbeat** | **DateTime** | Timestamp of the last time the worker talked to the service. | [optional] [readonly] 
**versions** | **Hash&lt;String, String&gt;** | Versions of the components installed. | [optional] [readonly] 

## Code Sample

```ruby
require 'PulpcoreClient'

instance = PulpcoreClient::ApiAppStatusResponse.new(name: null,
                                 last_heartbeat: null,
                                 versions: null)
```


