# PulpcoreClient::GroupRole

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**role** | **String** |  | 
**content_object** | **String** | pulp_href of the object for which role permissions should be asserted. If set to &#39;null&#39;, permissions will act on the model-level. | 
**domain** | **String** | Domain this role should be applied on, mutually exclusive with content_object. | [optional] 

## Code Sample

```ruby
require 'PulpcoreClient'

instance = PulpcoreClient::GroupRole.new(role: null,
                                 content_object: null,
                                 domain: null)
```


